Subject: re: SUMMARY: should there be term limits?

From: Schliesser, Benson <[email-masked]>
Date: Mon, 01 Apr 2002 11:10:39 -0600

> PROPOSED CONSENSUS: There should be no term limits and we should
> document this explicitly.

In order to bring up stronger leadership, and introduce a higher level of
cooperation, I believe that term limits are valuable. Frankly, involvement
for too long in any one thing tends to cloud objective judgment. And it
locks out individuals with value to add from participating. I believe that
if you churn the leadership regularly, you will have more individuals who
understand the processes and reason behind the organization, which is a
positive thing.

My proposal is that we give guidance to nomcom to follow term limits of 4
years or two terms of service (understanding that there may be terms less or
greater than 2 years each), with a 'break' period of 1 year.  As 'guidance',
it is not a 'MUST', but rather is a 'SHOULD'.

-Benson